<?php
$de['citys']=$de['city'];
if(!empty($_SESSION["province"]))
{
	$de['province']=$_SESSION["province"];
}
if(!empty($_SESSION["city"]))
{
	$de['citys']=$_SESSION["city"];
}
?>
<script type="text/javascript" src="../script/jquery-1.4.4.min.js"></script>
<script type="text/javascript">
function getHTML(v)
{
	var url = '../ajax_back_end.php';
	var sj = Math.random();
	var pars = 'shuiji=' + sj+'&prov_id='+v;
	$.post(url, pars,showResponse);
	function showResponse(originalRequest)
	{
		var ob="city";
		var tempStr = 'var MyMe = ' + originalRequest; 
		var i=0;var j=0;
		eval(tempStr);
		for(var s in MyMe)
		{
			++j;
		}
		document.getElementById(ob).options.length =j+1;
		for(var k in MyMe)
		{
			var cityId=MyMe[k][0];
			var ciytName=MyMe[k][1];
			i++;
			document.getElementById(ob).options[i].value = cityId;
			document.getElementById(ob).options[i].text = ciytName;
			if('<?php echo $de['citys'];?>'==cityId)
				document.getElementById(ob).options[i].selected = true;
	　	}
			
	 }

}
<?php
if(!empty($de['province']))
	echo "getHTML('".$de['province']."')";
?>
</script>
<select name="provinces" <?php if(!empty($_SESSION["province"])) echo 'disabled="disabled"';?> id="province" onChange="getHTML(this.value)" class="lselect">
		<option value="" ><?php echo lang_show('all_prov');?></option>
		<?php
		echo get_province($de['province']);
		?>
</select> -- <select name="citys" id="city" <?php if(!empty($_SESSION["city"])) echo 'disabled="disabled"';?> class="rselect" />
<?php if(!empty($_SESSION["city"])){?>
<option value="<?php echo $_SESSION["city"]; ?>"><?php echo $_SESSION["city"]; ?></option>
<?php }else{?>
<option value=""><?php echo lang_show('allcity');?></option>
<?php } ?>
</select>